package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;


import java.math.BigDecimal;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/17
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageGeneralVO {

    private BigDecimal amount;

    private Long id;

    private Boolean deleted;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 客户经理提成金额
     */
    private BigDecimal marketerBrokerageAmount;

    /**
     * 客户经理 是否可预提
     */
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 提成率
     */
    private BigDecimal brokerageRate;

    /**
     * 客户经理提成状态
     */
    private String marketerStatus;
    /**
     * 项目类型
     */
    private String cateName;

    /**
     * 业务来源
     */
    private String businessSourceName;

    /**
     * 事业部流水号
     */
    private String businessNo;

    /**
     * 公司OA流水号(项目编号)
     */
    private String oaNo;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 委托单位
     */
    private String clientUnit;

    /**
     * 委托人
     */
    private String clientName;

    /**
     * 客户经理
     */
    private String clientManager;

    /**
     * 客户经理已预提
     */
    private Boolean marketerAdvanceBrokerageDone;

    /**
     * 参与人预计提成总金额
     */
    @TableField("participant_predict_brokerage_amount")
    private BigDecimal participantPredictBrokerageAmount;

    /**
     * 参与人实际提成总金额
     */
    @TableField("participant_actual_brokerage_amount")
    private BigDecimal participantActualBrokerageAmount;

    /**
     * 参与人预提中
     */
    private Boolean participantAdvanceStatus;

    /**
     * 预计提成总金额
     */
    private BigDecimal brokeragePredictAmount;

    /**
     * 已提成总金额
     */
    private BigDecimal brokerageActualAmount;

    /**
     * 参与人提成状态
     */
    private String participantStatus;

    private Set<Long> userIds;

}
